Class | Sass::Selector::Class
In: | lib/sass/selector.rb
Parent: | Simple

A class selector (e.g. `.foo`).

### Methods

new to_a

### Attributes

name | [R] | The class name. @return [Array<String, Sass::Script::Node>]

### Public Class methods

new(name)

@param name [Array<String, Sass::Script::Node>] The class name

[Source]

        # File lib/sass/selector.rb, line 47
    47:       def initialize(name)
    48:         @name = name
    49:       end

### Public Instance methods

to_a()

@see Selector#to_a

[Source]

        # File lib/sass/selector.rb, line 52
    52:       def to_a
    53:         [".", *@name]
    54:       end

[Validate]